Bug Hunting Session
Bug 74739 - UI: Consider removing "Paste Only" - that has no function other than being a submenu - from Tools>Customize>Keyboard>Edit
Summary: UI: Consider removing "Paste Only" - that has no function other than being a ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: All All
: lowest enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-09 09:58 UTC by dg1727
Modified: 2017-08-17 08:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dg1727 2014-02-09 09:58:03 UTC
In Tools > Customize... > Keyboard tab > Category list > Edit, in the Function list, there is an entry "Paste Only".

About "Paste Only," it has been said [1]:  
> It may have some use in macro code, but probably not as a key binding.

Can this be confirmed, and if this function isn't usable as a keybinding, can it be removed from the Keyboard tab?  

This function appears to occur in the source code in [2] and [3].  

[1] http://ask.libreoffice.org/en/question/29459/in-calc-what-is-the-paste-only-function-tools-customize/#post-id-29464
[2] http://opengrok.libreoffice.org/xref/core/sc/source/ui/src/popup.src#141
[3] http://opengrok.libreoffice.org/xref/core/sfx2/sdi/sfx.sdi#4727
Comment 1 Joel Madero 2014-07-16 21:09:50 UTC
Also asking for ux advice here.
Comment 2 Robinson Tryon (qubit) 2015-12-13 11:21:11 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2017-02-20 17:41:01 UTC
pv2k committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ca9be4982b94701d326e9e994540c6df8aacf00

tdf#74739 removed 'PasteOnly' from Tools->customize->keyboard tab->edit

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2017-07-14 13:24:17 UTC
Polite ping: is this bug fixed? if so, please close it as RESOLVED FIXED
Comment 5 Cor Nouws 2017-08-17 08:57:57 UTC
Is fixed in master 6.
thanks 	pv2k  / vidhey96@gmail.com !
Comment 6 Cor Nouws 2017-08-17 08:58:31 UTC
verified in Version: 6.0.0.0.alpha0+
Build ID: 75933b220d48bceff25b07cfc4b55c70a2e24917
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-16_22:50:24
Locale: nl-NL (nl_NL.UTF-8); Calc: group